• 3083阅读
  • 5回复

[提问]QT5.0 cannot include QMainWindow [复制链接]

上一主题 下一主题
离线weilp
 
只看楼主 倒序阅读 楼主  发表于: 2013-01-15
我在机器上同时安装QT4.8.4和QT5.0.0, 在QT4.8.4库上一切运行正常,但在5.0.0上出现了一个很奇怪的问题
我在D盘用QtCreator2.6.1上新建了一个GUI应用,直接编译的时候出现了cannot open the include file "QMainWindow", 然后我把同样的这个工程移到C盘的用户目录下,还是用5.0.0来编译,一切正常,我查了下PRO文件,里面也已经包含了greaterThan那句声明,有谁遇到过类似的问题,还望不吝指教!谢谢了!
在线XChinux

只看该作者 1楼 发表于: 2013-01-15
qmake -v

看一下你编译时的Qt到底是哪个版本的。
二笔 openSUSE Vim N9 BB10 XChinux@163.com 网易博客 腾讯微博
承接C++/Qt、Qt UI界面、PHP及预算报销系统开发业务
离线jdwx

只看该作者 2楼 发表于: 2013-01-15
一定要确定建立工程的时候没选错,再多做几次试试。
我的也是两个版本全有,一般就是Qt4的工程用Qt5编译会这样。
发帖时要说明:操作系统、Qt版本、编译器,这样能更快的得到回复。
离线quit
只看该作者 3楼 发表于: 2013-01-23
这个问题你解决了吗  我也遇到了 能说下吗
离线ctrirxufeng
只看该作者 4楼 发表于: 2013-03-16
QT += widgets
离线ltarcher
只看该作者 5楼 发表于: 2013-03-23
可以创建一个qt5的工程对比一下,其实应该在.pro中这么加一行

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
快速回复
限100 字节
 
上一个 下一个